commit:     c4f7d9b28ae5021b150508c3efd4201528af7a67
Author:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 30 07:16:19 2023 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Sun Apr 30 07:16:40 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c4f7d9b2

media-sound/audacious: bump to 4.3.1

Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 media-sound/audacious/Manifest               |  1 +
 media-sound/audacious/audacious-4.3.1.ebuild | 67 ++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/media-sound/audacious/Manifest b/media-sound/audacious/Manifest
index e1740e58fc34..c67cf6342eaa 100644
--- a/media-sound/audacious/Manifest
+++ b/media-sound/audacious/Manifest
@@ -1,3 +1,4 @@
 DIST audacious-4.2.tar.bz2 612155 BLAKE2B 
04a910288278fa27cb4848663ab74f9e523f3cbea7851e28f5e197035c4ad17281e9b0d5756602efb531a65aeb8e6b7abd7b11274af3353f6ac1d21a0bd4c47c
 SHA512 
814bd865e87cf9bc39df07c9f9898eca1dd94d8b8299b2709f77046669ce12e9c31067d55084371f6797724e79872f7571b575cc766093ee2124b38b0409a853
+DIST audacious-4.3.1.tar.bz2 630820 BLAKE2B 
e8885d25cce4a480ac58c5ee1874a530f4b169f264eaafb13830be17ce7e25933a2fb491ed0b86220fdb2e916ea5d7b13bca8a5ac00695ffd06e1ad8b2a6ff67
 SHA512 
7662a1b136c6ced346ce160a3a6b71ea5941644860466e23248a44168179118202006e8892a5bbd1f6d77730846a4644b6cb4e008af38e1117588b9f4d1521f5
 DIST audacious-4.3.tar.bz2 623855 BLAKE2B 
a00d5f4fafff6eec5aba0374ba41b0521e60814421845d4cad284bb12bc67623d27d2101f5ba3c72bf7ab68d7f53f3c5473fd173bd929c35de51c4d2ff3ccde0
 SHA512 
7e92739ffd6adb62c6efe11b3107fc6d2d45ba5bbb6375dddd227f4c51387e0bbca2a5c1020b25a97933b9f02d3e726b22a21f7566ffac8b08ddfad609c3dc0e
 DIST gentoo_ice-xmms-0.2.tar.bz2 51839 BLAKE2B 
d3bf8dbfee675dd588bc0258f1015c76877b6b0a3835813d8e9621d149b924aaa33544d07f7ad44a01c058d41d7480b3908b0773c124af33b6e020c376b13d54
 SHA512 
e863a8f86073007c47ce8c20739aae4bff22e22a7ddc11556b12ae6ebb68654cec7310fdc9d05f2c47f81cf2591fe601b2eb12a2fd911c0a6118c9f3cc524f05

diff --git a/media-sound/audacious/audacious-4.3.1.ebuild 
b/media-sound/audacious/audacious-4.3.1.ebuild
new file mode 100644
index 000000000000..eb7bae84d68a
--- /dev/null
+++ b/media-sound/audacious/audacious-4.3.1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_P="${P/_/-}"
+
+inherit xdg
+
+DESCRIPTION="Lightweight and versatile audio player"
+HOMEPAGE="https://audacious-media-player.org/";
+SRC_URI="https://distfiles.audacious-media-player.org/${MY_P}.tar.bz2";
+SRC_URI+=" mirror://gentoo/gentoo_ice-xmms-0.2.tar.bz2"
+
+KEYWORDS="~amd64 ~riscv ~x86"
+LICENSE="BSD-2"
+SLOT="0"
+IUSE="nls"
+
+BDEPEND="
+       virtual/pkgconfig
+       nls? ( dev-util/intltool )
+"
+DEPEND="
+       dev-libs/glib:2
+       dev-qt/qtcore:5
+       dev-qt/qtgui:5
+       dev-qt/qtwidgets:5
+       virtual/freedesktop-icon-theme
+"
+RDEPEND="${DEPEND}"
+PDEPEND="~media-plugins/audacious-plugins-${PV}"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+       default
+       if ! use nls; then
+               sed -e "/SUBDIRS/s/ po//" -i Makefile || die "failed to sed" # 
bug #512698
+       fi
+}
+
+src_configure() {
+       # D-Bus is a mandatory dependency, remote control,
+       # session management and some plugins depend on this.
+       # Building without D-Bus is *unsupported* and a USE-flag
+       # will not be added due to the bug reports that will result.
+       # Bugs #197894, #199069, #207330, #208606
+       local myeconfargs=(
+               --disable-valgrind
+               --disable-gtk
+               --enable-dbus
+               --enable-qt
+               $(use_enable nls)
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+
+       # Gentoo_ice skin installation; bug #109772
+       insinto /usr/share/audacious/Skins/gentoo_ice
+       doins -r "${WORKDIR}"/gentoo_ice/.
+       docinto gentoo_ice
+       dodoc "${WORKDIR}"/README
+}

Reply via email to